| Home | Libraries | People | FAQ | More

## Function template make_managed_shared_ptr

boost::interprocess::make_managed_shared_ptr

## Synopsis

    // In header: <boost/interprocess/smart_ptr/shared_ptr.hpp>

    template<typename T, typename ManagedMemory>
      managed_shared_ptr< T, ManagedMemory >::type
      make_managed_shared_ptr(T * constructed_object,
                              ManagedMemory & managed_memory);

## Description

Returns an instance of a shared pointer constructed with the default allocator and deleter from a pointer of type T that has been allocated in the passed managed segment